Bug 38470 - alpha: permedia 2 (104c:3d07) troubles
alpha: permedia 2 (104c:3d07) troubles
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: XFree86 (Show other bugs)
7.3
alpha Linux
medium Severity medium
: ---
: ---
Assigned To: Mike A. Harris
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-04-30 18:57 EDT by Brock Organ
Modified: 2007-04-18 12:32 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-05-15 16:05:47 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Brock Organ 2001-04-30 18:57:43 EDT
bug on alpha: testing with wolverine-alpha3 test tree, running an X 
server with the permedia 2 (104c:3d07) on a ds20 fails fairly soon after 
starting X server ... weird artifacts appear on the screen, and if you 
Ctrl-Alt-Backspace to exit the X server, the video card stops driving the 
monitor, blanking out the machine entirely ...
Comment 1 Michal Jaegermann 2001-05-01 13:06:22 EDT
Recently another guy from Hard Data run a series of tests on Alpha (this
was UP2000 and not DS20) with different graphics cards which included
two different Permedia 2 cards - Elsa Gloria 8 MB Synergy and STB Velocity
8 MB.  A server was 4.0.3-8 version but recompiled to work with glibc-2.1.
Kernels used were 2.2.19 (basically) and 2.4.3-ac9.

The basic problem with Permedia was that a card was detected as "vga" and,
unless a driver was manually edited to "glint" in a configuration file,
he indeed got effects like described in your report.  After the change
everything worked fine with this nit that a console was monochromatic
after an exit from X server.

Similar effects and a cure (edit "vga" to "glint") were also observed with
3DLabs 32 MB Oxygen VX1.  A console was also mono after X and, additionaly,
SRM was not reinitalizing video properly after X was used.  It was necessary
to either reboot twice or type 'init' at SRM prompt.

Other two cards tested (ATI 8 MB Rage Pro and Video 88-PCI 32 MB TNT-2)
did not show up any surprises.

I also used Matrox G450 on another Alpha (UP1100 with AGP slot) and it is
fine provided you do not attempt to use 'agpgart' support.  If you do then
all bets are off.  No hardware accelareration in any configuration.

  Michal
  michal@harddata.com

Comment 2 Mike A. Harris 2001-05-04 23:36:03 EDT
Please supply "lspci -vn" and "lspci -v" info.  This card might have new
PCI id's.
Comment 3 Mike A. Harris 2001-05-25 05:38:53 EDT
I need the above info I requested plus an X server log and the XF86Config-4.
I don't have the hardware to try to reproduce, so without this info I cannot
look into the problem.
Comment 4 Mike A. Harris 2001-08-13 19:25:13 EDT
All known permedia problems have allegedly been fixed now, via
many patches from Compaq, both in 4.0.3 and 4.1.0.  Rawhide XFree86
4.1.0-0.9.12 should work now.  Requesting confirmation.

Note You need to log in before you can comment on or make changes to this bug.